# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "snap-coin-node"
version = "5.0.0"
authors = ["Ice"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A simple CLI for hosting a Snap Coin node"
readme = "README.md"
license = "MIT OR Apache-2.0"

[[bin]]
name = "snap-coin-node"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.100"

[dependencies.console-subscriber]
version = "0.5.0"

[dependencies.crossterm]
version = "0.29.0"

[dependencies.futures]
version = "0.3.31"

[dependencies.ratatui]
version = "0.29.0"

[dependencies.snap-coin]
version = "5.1.0"

[dependencies.tokio]
version = "1.48.0"
features = [
    "full",
    "tracing",
]

[dependencies.tracing-subscriber]
version = "0.3.22"
